Subject: Re: linux-next: manual merge of the kunit-next tree with the mm tree

From: Shuah Khan <[email-masked]>
Date: Wed, 9 Oct 2024 15:00:19 -0600

On 10/9/24 10:28, Shuah Khan wrote:
> On 10/8/24 23:27, Stephen Rothwell wrote:
>> Hi all,
>>
>> Today's linux-next merge of the kunit-next tree got a conflict in:
>>
>>    lib/Kconfig.debug
>>
>> between commit:
>>
>>    0f2016a962f0 ("lib/Kconfig.debug: move int_pow test option to runtime testing section")
>>
>> from the mm-nonmm-unstable branch of the mm tree and commit:
>>
>>    f099bda563dd ("lib: math: Move kunit tests into tests/ subdir")
>>
>> from the kunit-next tree.
>>
>> I fixed it up (see below) and can carry the fix as necessary. This
>> is now fixed as far as linux-next is concerned, but any non trivial
>> conflicts should be mentioned to your upstream maintainer when your tree
>> is submitted for merging.  You may also want to consider cooperating
>> with the maintainer of the conflicting tree to minimise any particularly
>> complex conflicts.
>>
> 
> Andrew,
> Another one related to move from lib/ lib/tests/
> 
> If you would like to take these patches - it is perfectly
> fine with me. If not I can handle these.

Andrew,

I dropped this one from linux-kselftest kunit branch.
The link to this patch if it isn't in your Inbox:

https://lore.kernel.org/all/[email-masked]/
> 
> Adding David as well for feedback on this

David, I think lib/ kunit patches can go through Andrew's tree.
Renaming is causing merge conflicts.

thanks,
-- Shuah